require 'active_support/core_ext/object/blank'
module CrmJavaSearch
  class App
    def self.server
      Config.settings
    end

    def self.use_java_es?
      server.present? && server[:host].present? && server[:enabled]
    end

    def self.api_base_url
      if use_java_es?
        server[:host]
      else
        ''
      end
    end

    # 查重搜索
    def self.search_enabled?
      use_java_es? && server[:search_enabled] == true
    end

    # 查重校验（新增客户）
    def self.check_enabled?
      use_java_es? && server[:check_enabled] == true
    end

    # 同步数据到es
    def self.sync_enabled?
      use_java_es? && server[:sync_enabled] == true
    end
  end
end
