require 'active_support/hash_with_indifferent_access'
module CrmJavaSearch
  module Config
    class << self
      def init(opts = {})
        @settings = opts.with_indifferent_access || default_settings
      end

      def default_settings
        {
          enabled: false,
          search_enabled: false,
          check_enabled: false,
          sync_enabled: false,
          host: ''
        }.with_indifferent_access
      end

      def settings
        @settings ||= default_settings
      end
    end
  end
end
